# Basic info about what we're building
%define class    Net
%define subclass SSLeay
%define version  1.22
%define release  2

# Derived values
%define module  %{class}-%{subclass}
%define modname %{class}_%{subclass}.pm 
%define name    perl-%{module}
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: 	Perl module %{class}::%{subclass}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Perl
License:        See documentation
Source: 	http://www.cpan.org/modules/by-module/%{class}/%{modname}-%{version}.tar.gz
Patch1:         %{modname}-%{version}-path.patch
Url: 		http://search.cpan.org/search?dist=%{module}
BuildRequires:	perl
BuildRoot: 	%{_tmppath}/%{modname}-build-%(id -nu)/
Requires: 	perl = %{perlver} openssl >= 0.9.7
Provides:       %{module} = %{version}

%description
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Net::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by
Eric Young (eay@cryptsoft.com)

%prep
%setup -q -n %{modname}-%{version}
%patch1 -p1


%build
%{__perl} Makefile.PL -- PREFIX=$RPM_BUILD_ROOT%{_prefix}
%{__make} OPTIMIZE="-I /usr/kerberos/include -O2"

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod" -o \
                             -name ".packlist" -o \
                             -name "*.bs"`

# Remove all empty directories
find $RPM_BUILD_ROOT -type d | tac | xargs rmdir --ign

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{modname}-%{version}

%files
%defattr(-,root,root)
%doc Changes Credits QuickRef README examples
%{_prefix}

%changelog
* Fri Apr 25 2003 Michael McLagan <Michael.McLagan@linux.org>
- Rebuild for perl 5.8.0

* Tue Mar 25 2003 Michael McLagan <Michael.McLagan@linux.org>
- initial version 1.22
